package rym_util

type Config struct {
	ENV string
}

func BaseConfig(conf Config) {
	ENV = conf.ENV
}

var ENV = "test"

var ServerName = "git.168cad.top/zhengqiuyun/rym-util"

var DBType = "mysql"

var EsHttpHost = "http://192.168.1.124:9200"

//mysql
var DbDSN = "root:dcrym29210924..@tcp(192.168.1.37:3306)/duocaihui_dev?charset=utf8mb4&parseTime=True&loc=Local"

//ShowSql 是否打印SQL
var ShowSql = true //是否打印SQL

var LogLevel = "Debug"

var HttpServerPort = "8080"

var WhiteListIp = [...]string{"::1", "192.168.71.127", "171.88.67.133"}
var WhiteListUri = [...]string{"/swagger", "/api/app/login/get/captcha",
	"/api/app/login/register/send/sms", "/api/app/login/register",
	"/api/app/login/forget/pwd/send/sms", "/api/app/login/forget/pwd",
	"/api/app/login/login",
	"/api/app/wx/login/bind/check", "/api/app/wx/login/bind/send/sms",
	"/api/app/wx/login/bind", "/api/app/wx/login", "/pay/wx/pay/notify"}

var CheckSms = false
var SmsSendUrl = "http://192.168.1.43:9001"
var SmsVerifyUrl = "http://192.168.1.43:9001"

//LogColorful 日志是否开启彩色打印
var LogColorful = true

var LogResponseLength = 1000

var CaptchaMax = 5
